Summary:	OpenCA Certification Authority
Name:		openca-scep
Version:	0.9.2
Release:	%mkrel 6
License:	GPL
Group:		System/Servers
URL:		http://www.openca.org/
Source0:	openca-scep-%{version}.tar.bz2
Patch0:		openca-scep-0.9.2-OpenCA-0.9.2.5.diff
BuildRequires:	openssl-devel >= 0.9.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
OpenCA SCEP Tool

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .OpenCA-0.9.2.5

%build
export CFLAGS="%{optflags}"

%configure2_5x \
    --enable-engine \
    --with-openca-prefix=%{_datadir}/openca \
    --with-openssl-prefix=%{_prefix}

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL
%doc LICENSE README examples
%{_bindir}/openca-scep

%changelog
* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-6mdk
- added fixes from the bundled scep in OpenCA-0.9.2.5 (P0), replaces
  the old openssl-0.9.8a patch

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-5mdk
- make it build against openssl-0.9.8a (P0)

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-4mdk
- rebuild

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-3mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-2mdk
- built for cooker

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-1mdk
- initial Mandrake package, used bits and pieces from the provided spec
  files and also from the latest work by Michael Bell
